#ifndef _Handle_PBRep_TFace_HeaderFile
#define _Handle_PBRep_TFace_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_TFace_HeaderFile
#include <Handle_PTopoDS_TFace.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_TFace);
class PBRep_TFace;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_TFace);

class Handle(PBRep_TFace) : public Handle(PTopoDS_TFace) {
  public:

    Handle(PBRep_TFace)():Handle(PTopoDS_TFace)() {} 
    Handle(PBRep_TFace)(const Handle(PBRep_TFace)& aHandle) : Handle(PTopoDS_TFace)(aHandle) 
     {
     }

    Handle(PBRep_TFace)(const PBRep_TFace* anItem) : Handle(PTopoDS_TFace)((PTopoDS_TFace *)anItem) 
     {
     }

    Handle(PBRep_TFace)& operator=(const Handle(PBRep_TFace)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_TFace)& operator=(const PBRep_TFace* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_TFace* operator->() const 
     {
      return (PBRep_TFace *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_TFace) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
